import { contextBridge, ipcRenderer } from "electron";

import env from "./lib/env";
import config from "./lib/config";
// import api from "./lib/api";

export const electronInWindow = {
  env: env,
  config,
  // api,
  updateEnv(env) {
    ipcRenderer.sendSync("update-env", env);
  },
};

contextBridge.exposeInMainWorld("electron", electronInWindow);
